package de.intevation.flys.importer;

import java.util.ArrayList;
import java.util.List;

import org.apache.log4j.Logger;

import de.intevation.flys.model.River;
import de.intevation.flys.model.SedimentDensity;


public class ImportSedimentDensity {

    private static Logger log = Logger.getLogger(ImportSedimentDensity.class);


    protected SedimentDensity peer;

    protected ImportDepth depth;

    protected ImportUnit unit;

    protected List<ImportSedimentDensityValue> values;


    public ImportSedimentDensity() {
        values = new ArrayList<ImportSedimentDensityValue>();
    }


    public void setDepth(ImportDepth depth) {
        this.depth = depth;
    }


    public void setUnit(ImportUnit unit) {
        this.unit = unit;
    }


    public void addValue(ImportSedimentDensityValue value) {
        values.add(value);
    }


    public void storeDependencies(River river) {
        log.info("store dependencies");
    }


    public SedimentDensity getPeer(River river) {
        log.info("get peer");

        return null;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
